package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.domain.dto.WxCUserBasicInfoDto;
import com.iformall.domain.po.WxCUserCar;

import java.util.List;

public interface WxCUserCarService {

    /**
     * 根据实体查询分页列表
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
    PageInfo<WxCUserCar> listAsPage(WxCUserCar record, Integer pageIndex, Integer pageSize);

    /**
     * 根据实体查询列表
     *
     * @param record
     * @return
     */
    List<WxCUserCar> getList(WxCUserCar record);

    /**
     * 根据实体查询count
     *
     * @param record
     * @return
     */
    Integer countUserCar(WxCUserCar record);

    /**
     * 根据实体查询count
     *
     * @param dto
     * @return
     */
     Integer countUser(WxCUserBasicInfoDto dto);
    /**
     * 根据实体查询
     *
     * @param record
     * @return
     */
    WxCUserCar getOne(WxCUserCar record);

    /**
     * 根据实体查询
     *
     * @param record
     * @return
     */
    WxCUserCar getOnlyOne(WxCUserCar record);

    /**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxCUserCar getById(Long id);


    /**
     * 获取新的ID
     */
    Long getNewCarID();

    /**
     * 保存实体
     *
     * @param record
     */
    void save(WxCUserCar record);

    /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(WxCUserCar record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);

    /**
     * 根据WxCUserCar删除实体
     *
     * @param record
     */
    void deleteByObj(WxCUserCar record);


}
